published on Thursday, May 14, 2026 by Volcengine
published on Thursday, May 14, 2026 by Volcengine
The endpoint is a network proxy service provided by Cloud Database MySQL Edition, located between the database and application. Based on endpoint functionality, endpoints are classified as proxy endpoints and direct endpoints. Connections via proxy endpoints pass through the proxy and support features such as read/write splitting, load balancing, idle connection recycling, and Multi-Statements. Connections via direct endpoints connect directly to the corresponding node and do not support proxy-related features.
Example Usage
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
resources:
rdsMysqlEndpointDemo:
type: volcenginecc:rdsmysql:Endpoint
name: RdsMysqlEndpointDemo
properties:
autoAddNewNodes: false
connectionMode: Proxy
connectionPoolType: Transaction
description: this is a description
enableConnectionPersistent: true
endpointName: ccapi-test-1
endpointType: Custom
idleConnectionReclaim: true
implicitTransSplit: true
instanceId: mysql-2e229xxxxxd5
masterNodeRouting: false
masterProtectorTimeout: 60
multiStatementsMode: Strict
nodes: Primary,mysql-2e229xxxxxdd5-r442d,mysql-2e2xxxxxdd5-r8d0f
overloadProtection: true
readOnlyNodeDistributionType: RoundRobinCustom
readOnlyNodeMaxDelayTime: 30
readOnlyNodeWeights:
- node_id: ""
node_type: Primary
weight: 100
- node_id: mysql-2e2xxxxx4dd5-r442d
node_type: ReadOnly
weight: 200
- node_id: mysql-2e22xxxxxdd5-r8d0f
node_type: ReadOnly
weight: 300
readWriteMode: ReadWrite
readWriteSpliting: true
Example coming soon!
Create Endpoint Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new Endpoint(name: string, args?: EndpointArgs, opts?: CustomResourceOptions);@overload
def Endpoint(resource_name: str,
args: Optional[EndpointArgs] = None,
opts: Optional[ResourceOptions] = None)
@overload
def Endpoint(resource_name: str,
opts: Optional[ResourceOptions] = None,
addresses: Optional[Sequence[EndpointAddressArgs]] = None,
auto_add_new_nodes: Optional[bool] = None,
connect_all_slave_nodes: Optional[bool] = None,
connection_mode: Optional[str] = None,
connection_pool_type: Optional[str] = None,
description: Optional[str] = None,
enable_connection_persistent: Optional[bool] = None,
endpoint_name: Optional[str] = None,
endpoint_type: Optional[str] = None,
idle_connection_reclaim: Optional[bool] = None,
implicit_trans_split: Optional[bool] = None,
instance_id: Optional[str] = None,
master_node_routing: Optional[bool] = None,
master_protector_timeout: Optional[int] = None,
multi_statements_mode: Optional[str] = None,
nodes: Optional[str] = None,
overload_protection: Optional[bool] = None,
read_only_node_distribution_type: Optional[str] = None,
read_only_node_max_delay_time: Optional[int] = None,
read_only_node_weights: Optional[Sequence[EndpointReadOnlyNodeWeightArgs]] = None,
read_write_mode: Optional[str] = None,
read_write_spliting: Optional[bool] = None)func NewEndpoint(ctx *Context, name string, args *EndpointArgs, opts ...ResourceOption) (*Endpoint, error)public Endpoint(string name, EndpointArgs? args = null, CustomResourceOptions? opts = null)
public Endpoint(String name, EndpointArgs args)
public Endpoint(String name, EndpointArgs args, CustomResourceOptions options)
type: volcenginecc:rdsmysql:Endpoint
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "volcenginecc_rdsmysql_endpoint" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args EndpointArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args EndpointArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args EndpointArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args EndpointArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args EndpointArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var volcengineccEndpointResource = new Volcenginecc.Rdsmysql.Endpoint("volcengineccEndpointResource", new()
{
Addresses = new[]
{
new Volcenginecc.Rdsmysql.Inputs.EndpointAddressArgs
{
DnsVisibility = false,
DomainPrefix = "string",
Port = "string",
},
},
AutoAddNewNodes = false,
ConnectAllSlaveNodes = false,
ConnectionMode = "string",
ConnectionPoolType = "string",
Description = "string",
EnableConnectionPersistent = false,
EndpointName = "string",
EndpointType = "string",
IdleConnectionReclaim = false,
ImplicitTransSplit = false,
InstanceId = "string",
MasterNodeRouting = false,
MasterProtectorTimeout = 0,
MultiStatementsMode = "string",
Nodes = "string",
OverloadProtection = false,
ReadOnlyNodeDistributionType = "string",
ReadOnlyNodeMaxDelayTime = 0,
ReadOnlyNodeWeights = new[]
{
new Volcenginecc.Rdsmysql.Inputs.EndpointReadOnlyNodeWeightArgs
{
NodeId = "string",
NodeType = "string",
Weight = 0,
},
},
ReadWriteMode = "string",
ReadWriteSpliting = false,
});
example, err := rdsmysql.NewEndpoint(ctx, "volcengineccEndpointResource", &rdsmysql.EndpointArgs{
Addresses: rdsmysql.EndpointAddressArray{
&rdsmysql.EndpointAddressArgs{
DnsVisibility: pulumi.Bool(false),
DomainPrefix: pulumi.String("string"),
Port: pulumi.String("string"),
},
},
AutoAddNewNodes: pulumi.Bool(false),
ConnectAllSlaveNodes: pulumi.Bool(false),
ConnectionMode: pulumi.String("string"),
ConnectionPoolType: pulumi.String("string"),
Description: pulumi.String("string"),
EnableConnectionPersistent: pulumi.Bool(false),
EndpointName: pulumi.String("string"),
EndpointType: pulumi.String("string"),
IdleConnectionReclaim: pulumi.Bool(false),
ImplicitTransSplit: pulumi.Bool(false),
InstanceId: pulumi.String("string"),
MasterNodeRouting: pulumi.Bool(false),
MasterProtectorTimeout: pulumi.Int(0),
MultiStatementsMode: pulumi.String("string"),
Nodes: pulumi.String("string"),
OverloadProtection: pulumi.Bool(false),
ReadOnlyNodeDistributionType: pulumi.String("string"),
ReadOnlyNodeMaxDelayTime: pulumi.Int(0),
ReadOnlyNodeWeights: rdsmysql.EndpointReadOnlyNodeWeightArray{
&rdsmysql.EndpointReadOnlyNodeWeightArgs{
NodeId: pulumi.String("string"),
NodeType: pulumi.String("string"),
Weight: pulumi.Int(0),
},
},
ReadWriteMode: pulumi.String("string"),
ReadWriteSpliting: pulumi.Bool(false),
})
resource "volcenginecc_rdsmysql_endpoint" "volcengineccEndpointResource" {
addresses {
dns_visibility = false
domain_prefix = "string"
port = "string"
}
auto_add_new_nodes = false
connect_all_slave_nodes = false
connection_mode = "string"
connection_pool_type = "string"
description = "string"
enable_connection_persistent = false
endpoint_name = "string"
endpoint_type = "string"
idle_connection_reclaim = false
implicit_trans_split = false
instance_id = "string"
master_node_routing = false
master_protector_timeout = 0
multi_statements_mode = "string"
nodes = "string"
overload_protection = false
read_only_node_distribution_type = "string"
read_only_node_max_delay_time = 0
read_only_node_weights {
node_id = "string"
node_type = "string"
weight = 0
}
read_write_mode = "string"
read_write_spliting = false
}
var volcengineccEndpointResource = new com.volcengine.volcenginecc.rdsmysql.Endpoint("volcengineccEndpointResource", com.volcengine.volcenginecc.rdsmysql.EndpointArgs.builder()
.addresses(EndpointAddressArgs.builder()
.dnsVisibility(false)
.domainPrefix("string")
.port("string")
.build())
.autoAddNewNodes(false)
.connectAllSlaveNodes(false)
.connectionMode("string")
.connectionPoolType("string")
.description("string")
.enableConnectionPersistent(false)
.endpointName("string")
.endpointType("string")
.idleConnectionReclaim(false)
.implicitTransSplit(false)
.instanceId("string")
.masterNodeRouting(false)
.masterProtectorTimeout(0)
.multiStatementsMode("string")
.nodes("string")
.overloadProtection(false)
.readOnlyNodeDistributionType("string")
.readOnlyNodeMaxDelayTime(0)
.readOnlyNodeWeights(EndpointReadOnlyNodeWeightArgs.builder()
.nodeId("string")
.nodeType("string")
.weight(0)
.build())
.readWriteMode("string")
.readWriteSpliting(false)
.build());
volcenginecc_endpoint_resource = volcenginecc.rdsmysql.Endpoint("volcengineccEndpointResource",
addresses=[{
"dns_visibility": False,
"domain_prefix": "string",
"port": "string",
}],
auto_add_new_nodes=False,
connect_all_slave_nodes=False,
connection_mode="string",
connection_pool_type="string",
description="string",
enable_connection_persistent=False,
endpoint_name="string",
endpoint_type="string",
idle_connection_reclaim=False,
implicit_trans_split=False,
instance_id="string",
master_node_routing=False,
master_protector_timeout=0,
multi_statements_mode="string",
nodes="string",
overload_protection=False,
read_only_node_distribution_type="string",
read_only_node_max_delay_time=0,
read_only_node_weights=[{
"node_id": "string",
"node_type": "string",
"weight": 0,
}],
read_write_mode="string",
read_write_spliting=False)
const volcengineccEndpointResource = new volcenginecc.rdsmysql.Endpoint("volcengineccEndpointResource", {
addresses: [{
dnsVisibility: false,
domainPrefix: "string",
port: "string",
}],
autoAddNewNodes: false,
connectAllSlaveNodes: false,
connectionMode: "string",
connectionPoolType: "string",
description: "string",
enableConnectionPersistent: false,
endpointName: "string",
endpointType: "string",
idleConnectionReclaim: false,
implicitTransSplit: false,
instanceId: "string",
masterNodeRouting: false,
masterProtectorTimeout: 0,
multiStatementsMode: "string",
nodes: "string",
overloadProtection: false,
readOnlyNodeDistributionType: "string",
readOnlyNodeMaxDelayTime: 0,
readOnlyNodeWeights: [{
nodeId: "string",
nodeType: "string",
weight: 0,
}],
readWriteMode: "string",
readWriteSpliting: false,
});
type: volcenginecc:rdsmysql:Endpoint
properties:
addresses:
- dnsVisibility: false
domainPrefix: string
port: string
autoAddNewNodes: false
connectAllSlaveNodes: false
connectionMode: string
connectionPoolType: string
description: string
enableConnectionPersistent: false
endpointName: string
endpointType: string
idleConnectionReclaim: false
implicitTransSplit: false
instanceId: string
masterNodeRouting: false
masterProtectorTimeout: 0
multiStatementsMode: string
nodes: string
overloadProtection: false
readOnlyNodeDistributionType: string
readOnlyNodeMaxDelayTime: 0
readOnlyNodeWeights:
- nodeId: string
nodeType: string
weight: 0
readWriteMode: string
readWriteSpliting: false
Endpoint Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The Endpoint resource accepts the following input properties:
- Addresses
List<Volcengine.
Endpoint Address> - Auto
Add boolNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- Connect
All boolSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- Connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- Connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- Description string
- Remarks.
- Enable
Connection boolPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- Endpoint
Name string - Instance connection endpoint name.
- Endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- Idle
Connection boolReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- Implicit
Trans boolSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- Instance
Id string - Instance ID.
- Master
Node boolRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Master
Protector intTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- Multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- Nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- Overload
Protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- Read
Only intNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- Read
Only List<Volcengine.Node Weights Endpoint Read Only Node Weight> - Read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- Read
Write boolSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- Addresses
[]Endpoint
Address Args - Auto
Add boolNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- Connect
All boolSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- Connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- Connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- Description string
- Remarks.
- Enable
Connection boolPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- Endpoint
Name string - Instance connection endpoint name.
- Endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- Idle
Connection boolReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- Implicit
Trans boolSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- Instance
Id string - Instance ID.
- Master
Node boolRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Master
Protector intTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- Multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- Nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- Overload
Protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- Read
Only intNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- Read
Only []EndpointNode Weights Read Only Node Weight Args - Read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- Read
Write boolSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses list(object)
- auto_
add_ boolnew_ nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect_
all_ boolslave_ nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- connection_
mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection_
pool_ stringtype - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- description string
- Remarks.
- enable_
connection_ boolpersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- endpoint_
name string - Instance connection endpoint name.
- endpoint_
type string - Endpoint type. Value: Custom (custom endpoint).
- idle_
connection_ boolreclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit_
trans_ boolsplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance_
id string - Instance ID.
- master_
node_ boolrouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master_
protector_ numbertimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi_
statements_ stringmode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload_
protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read_
only_ stringnode_ distribution_ type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read_
only_ numbernode_ max_ delay_ time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read_
only_ list(object)node_ weights - read_
write_ stringmode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read_
write_ boolspliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
List<Endpoint
Address> - auto
Add BooleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All BooleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- connection
Mode String - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool StringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- description String
- Remarks.
- enable
Connection BooleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- endpoint
Name String - Instance connection endpoint name.
- endpoint
Type String - Endpoint type. Value: Custom (custom endpoint).
- idle
Connection BooleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans BooleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id String - Instance ID.
- master
Node BooleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector IntegerTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements StringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes String
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection Boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only StringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only IntegerNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only List<EndpointNode Weights Read Only Node Weight> - read
Write StringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write BooleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
Endpoint
Address[] - auto
Add booleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All booleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- description string
- Remarks.
- enable
Connection booleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- endpoint
Name string - Instance connection endpoint name.
- endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- idle
Connection booleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans booleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id string - Instance ID.
- master
Node booleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector numberTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only numberNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only EndpointNode Weights Read Only Node Weight[] - read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write booleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
Sequence[Endpoint
Address Args] - auto_
add_ boolnew_ nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect_
all_ boolslave_ nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- connection_
mode str - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection_
pool_ strtype - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- description str
- Remarks.
- enable_
connection_ boolpersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- endpoint_
name str - Instance connection endpoint name.
- endpoint_
type str - Endpoint type. Value: Custom (custom endpoint).
- idle_
connection_ boolreclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit_
trans_ boolsplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance_
id str - Instance ID.
- master_
node_ boolrouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master_
protector_ inttimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi_
statements_ strmode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes str
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload_
protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read_
only_ strnode_ distribution_ type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read_
only_ intnode_ max_ delay_ time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read_
only_ Sequence[Endpointnode_ weights Read Only Node Weight Args] - read_
write_ strmode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read_
write_ boolspliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses List<Property Map>
- auto
Add BooleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All BooleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- connection
Mode String - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool StringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- description String
- Remarks.
- enable
Connection BooleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- endpoint
Name String - Instance connection endpoint name.
- endpoint
Type String - Endpoint type. Value: Custom (custom endpoint).
- idle
Connection BooleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans BooleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id String - Instance ID.
- master
Node BooleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector NumberTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements StringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes String
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection Boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only StringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only NumberNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only List<Property Map>Node Weights - read
Write StringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write BooleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
Outputs
All input properties are implicitly available as output properties. Additionally, the Endpoint resource produces the following output properties:
- List<string>
- Connection endpoint tags.
- Custom
Route Volcengine.Strategy Endpoint Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- Enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- Endpoint
Id string - Instance connection endpoint ID.
- Id string
- The provider-assigned unique ID for this managed resource.
- []string
- Connection endpoint tags.
- Custom
Route EndpointStrategy Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- Enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- Endpoint
Id string - Instance connection endpoint ID.
- Id string
- The provider-assigned unique ID for this managed resource.
- list(string)
- Connection endpoint tags.
- custom_
route_ objectstrategy - SQL forwarding rules for the connection endpoint.
- enable_
read_ stringonly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint_
id string - Instance connection endpoint ID.
- id string
- The provider-assigned unique ID for this managed resource.
- List<String>
- Connection endpoint tags.
- custom
Route EndpointStrategy Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- enable
Read StringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id String - Instance connection endpoint ID.
- id String
- The provider-assigned unique ID for this managed resource.
- string[]
- Connection endpoint tags.
- custom
Route EndpointStrategy Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id string - Instance connection endpoint ID.
- id string
- The provider-assigned unique ID for this managed resource.
- Sequence[str]
- Connection endpoint tags.
- custom_
route_ Endpointstrategy Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- enable_
read_ stronly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint_
id str - Instance connection endpoint ID.
- id str
- The provider-assigned unique ID for this managed resource.
- List<String>
- Connection endpoint tags.
- custom
Route Property MapStrategy - SQL forwarding rules for the connection endpoint.
- enable
Read StringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id String - Instance connection endpoint ID.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing Endpoint Resource
Get an existing Endpoint resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: EndpointState, opts?: CustomResourceOptions): Endpoint@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
addresses: Optional[Sequence[EndpointAddressArgs]] = None,
auto_add_new_nodes: Optional[bool] = None,
connect_all_slave_nodes: Optional[bool] = None,
connection_info_tags: Optional[Sequence[str]] = None,
connection_mode: Optional[str] = None,
connection_pool_type: Optional[str] = None,
custom_route_strategy: Optional[EndpointCustomRouteStrategyArgs] = None,
description: Optional[str] = None,
enable_connection_persistent: Optional[bool] = None,
enable_read_only: Optional[str] = None,
endpoint_id: Optional[str] = None,
endpoint_name: Optional[str] = None,
endpoint_type: Optional[str] = None,
idle_connection_reclaim: Optional[bool] = None,
implicit_trans_split: Optional[bool] = None,
instance_id: Optional[str] = None,
master_node_routing: Optional[bool] = None,
master_protector_timeout: Optional[int] = None,
multi_statements_mode: Optional[str] = None,
nodes: Optional[str] = None,
overload_protection: Optional[bool] = None,
read_only_node_distribution_type: Optional[str] = None,
read_only_node_max_delay_time: Optional[int] = None,
read_only_node_weights: Optional[Sequence[EndpointReadOnlyNodeWeightArgs]] = None,
read_write_mode: Optional[str] = None,
read_write_spliting: Optional[bool] = None) -> Endpointfunc GetEndpoint(ctx *Context, name string, id IDInput, state *EndpointState, opts ...ResourceOption) (*Endpoint, error)public static Endpoint Get(string name, Input<string> id, EndpointState? state, CustomResourceOptions? opts = null)public static Endpoint get(String name, Output<String> id, EndpointState state, CustomResourceOptions options)resources: _: type: volcenginecc:rdsmysql:Endpoint get: id: ${id}import {
to = volcenginecc_rdsmysql_endpoint.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Addresses
List<Volcengine.
Endpoint Address> - Auto
Add boolNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- Connect
All boolSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- List<string>
- Connection endpoint tags.
- Connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- Connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- Custom
Route Volcengine.Strategy Endpoint Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- Description string
- Remarks.
- Enable
Connection boolPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- Enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- Endpoint
Id string - Instance connection endpoint ID.
- Endpoint
Name string - Instance connection endpoint name.
- Endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- Idle
Connection boolReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- Implicit
Trans boolSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- Instance
Id string - Instance ID.
- Master
Node boolRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Master
Protector intTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- Multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- Nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- Overload
Protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- Read
Only intNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- Read
Only List<Volcengine.Node Weights Endpoint Read Only Node Weight> - Read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- Read
Write boolSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- Addresses
[]Endpoint
Address Args - Auto
Add boolNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- Connect
All boolSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- []string
- Connection endpoint tags.
- Connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- Connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- Custom
Route EndpointStrategy Custom Route Strategy Args - SQL forwarding rules for the connection endpoint.
- Description string
- Remarks.
- Enable
Connection boolPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- Enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- Endpoint
Id string - Instance connection endpoint ID.
- Endpoint
Name string - Instance connection endpoint name.
- Endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- Idle
Connection boolReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- Implicit
Trans boolSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- Instance
Id string - Instance ID.
- Master
Node boolRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Master
Protector intTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- Multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- Nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- Overload
Protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- Read
Only intNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- Read
Only []EndpointNode Weights Read Only Node Weight Args - Read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- Read
Write boolSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses list(object)
- auto_
add_ boolnew_ nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect_
all_ boolslave_ nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- list(string)
- Connection endpoint tags.
- connection_
mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection_
pool_ stringtype - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom_
route_ objectstrategy - SQL forwarding rules for the connection endpoint.
- description string
- Remarks.
- enable_
connection_ boolpersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable_
read_ stringonly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint_
id string - Instance connection endpoint ID.
- endpoint_
name string - Instance connection endpoint name.
- endpoint_
type string - Endpoint type. Value: Custom (custom endpoint).
- idle_
connection_ boolreclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit_
trans_ boolsplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance_
id string - Instance ID.
- master_
node_ boolrouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master_
protector_ numbertimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi_
statements_ stringmode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload_
protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read_
only_ stringnode_ distribution_ type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read_
only_ numbernode_ max_ delay_ time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read_
only_ list(object)node_ weights - read_
write_ stringmode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read_
write_ boolspliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
List<Endpoint
Address> - auto
Add BooleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All BooleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- List<String>
- Connection endpoint tags.
- connection
Mode String - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool StringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom
Route EndpointStrategy Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- description String
- Remarks.
- enable
Connection BooleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable
Read StringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id String - Instance connection endpoint ID.
- endpoint
Name String - Instance connection endpoint name.
- endpoint
Type String - Endpoint type. Value: Custom (custom endpoint).
- idle
Connection BooleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans BooleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id String - Instance ID.
- master
Node BooleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector IntegerTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements StringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes String
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection Boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only StringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only IntegerNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only List<EndpointNode Weights Read Only Node Weight> - read
Write StringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write BooleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
Endpoint
Address[] - auto
Add booleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All booleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- string[]
- Connection endpoint tags.
- connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom
Route EndpointStrategy Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- description string
- Remarks.
- enable
Connection booleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id string - Instance connection endpoint ID.
- endpoint
Name string - Instance connection endpoint name.
- endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- idle
Connection booleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans booleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id string - Instance ID.
- master
Node booleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector numberTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only numberNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only EndpointNode Weights Read Only Node Weight[] - read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write booleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
Sequence[Endpoint
Address Args] - auto_
add_ boolnew_ nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect_
all_ boolslave_ nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- Sequence[str]
- Connection endpoint tags.
- connection_
mode str - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection_
pool_ strtype - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom_
route_ Endpointstrategy Custom Route Strategy Args - SQL forwarding rules for the connection endpoint.
- description str
- Remarks.
- enable_
connection_ boolpersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable_
read_ stronly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint_
id str - Instance connection endpoint ID.
- endpoint_
name str - Instance connection endpoint name.
- endpoint_
type str - Endpoint type. Value: Custom (custom endpoint).
- idle_
connection_ boolreclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit_
trans_ boolsplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance_
id str - Instance ID.
- master_
node_ boolrouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master_
protector_ inttimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi_
statements_ strmode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes str
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload_
protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read_
only_ strnode_ distribution_ type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read_
only_ intnode_ max_ delay_ time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read_
only_ Sequence[Endpointnode_ weights Read Only Node Weight Args] - read_
write_ strmode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read_
write_ boolspliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses List<Property Map>
- auto
Add BooleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All BooleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- List<String>
- Connection endpoint tags.
- connection
Mode String - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool StringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom
Route Property MapStrategy - SQL forwarding rules for the connection endpoint.
- description String
- Remarks.
- enable
Connection BooleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable
Read StringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id String - Instance connection endpoint ID.
- endpoint
Name String - Instance connection endpoint name.
- endpoint
Type String - Endpoint type. Value: Custom (custom endpoint).
- idle
Connection BooleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans BooleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id String - Instance ID.
- master
Node BooleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector NumberTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements StringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes String
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection Boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only StringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only NumberNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only List<Property Map>Node Weights - read
Write StringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write BooleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
Supporting Types
EndpointAddress, EndpointAddressArgs
- Dns
Visibility bool - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- Domain
Prefix string - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- Port string
- Port.
- Dns
Visibility bool - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- Domain
Prefix string - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- Port string
- Port.
- dns_
visibility bool - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain_
prefix string - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- port string
- Port.
- dns
Visibility Boolean - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain
Prefix String - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- port String
- Port.
- dns
Visibility boolean - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain
Prefix string - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- port string
- Port.
- dns_
visibility bool - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain_
prefix str - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- port str
- Port.
- dns
Visibility Boolean - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain
Prefix String - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- port String
- Port.
EndpointCustomRouteStrategy, EndpointCustomRouteStrategyArgs
EndpointCustomRouteStrategyKeywordRouteStrategy, EndpointCustomRouteStrategyKeywordRouteStrategyArgs
- Node
Type string - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- Sql
Keyword string - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- Node
Type string - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- Sql
Keyword string - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node_
type string - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql_
keyword string - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node
Type String - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql
Keyword String - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node
Type string - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql
Keyword string - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node_
type str - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql_
keyword str - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node
Type String - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql
Keyword String - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
EndpointReadOnlyNodeWeight, EndpointReadOnlyNodeWeightArgs
Import
$ pulumi import volcenginecc:rdsmysql/endpoint:Endpoint example "instance_id|endpoint_id"
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- volcenginecc volcengine/pulumi-volcenginecc
- License
- MPL-2.0
- Notes
- This Pulumi package is based on the
volcengineccTerraform Provider.
published on Thursday, May 14, 2026 by Volcengine
